<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/configuration/root/@level">
		<xsl:attribute name="level">
			<xsl:value-of select="'${log.level}'"></xsl:value-of>
		</xsl:attribute>
	</xsl:template>

	<xsl:template
		match="text()[starts-with(name(..), 'file') and starts-with(normalize-space(.), 'log/')]">
		<xsl:value-of
			select="concat('${log.dir}/',substring(normalize-space(.), string-length('log/')+1))"></xsl:value-of>
	</xsl:template>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()" />
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
